package au.id.mcauliffe.obscurer;
/* For license, see license.txt */


/**
 * A utility class for byte conversions.
 */
final class ByteConverter
{
    public static String byteToHex(byte[] bytes)
    {
        StringBuffer hex = new StringBuffer();
        for (int i = 0; i < bytes.length; i++)
        {
            byte b = bytes[i];
            int value = (b<0)?(b+256):b;
            String hexDigit = Integer.toHexString(value);
            if (hexDigit.length() == 1) hex.append("0");
            hex.append(hexDigit);
        }
        return hex.toString();
    }
}
